Open main menu
This page is a translated version of the page Download and the translation is 74% complete.

Other languages:
Bahasa Indonesia • ‎Bahasa Melayu • ‎Basa Banyumasan • ‎Cymraeg • ‎Deutsch • ‎English • ‎Esperanto • ‎Lëtzebuergesch • ‎Nederlands • ‎Oromoo • ‎Scots • ‎Tagalog • ‎Tarifit • ‎Tiếng Việt • ‎Türkçe • ‎Zazaki • ‎aragonés • ‎bosanski • ‎català • ‎dansk • ‎español • ‎français • ‎galego • ‎hrvatski • ‎interlingua • ‎italiano • ‎kurdî • ‎lietuvių • ‎magyar • ‎norsk bokmål • ‎occitan • ‎polski • ‎português • ‎português do Brasil • ‎română • ‎slovenčina • ‎slovenščina • ‎suomi • ‎svenska • ‎čeština • ‎Ελληνικά • ‎беларуская • ‎български • ‎русский • ‎српски / srpski • ‎татарча/tatarça • ‎українська • ‎հայերեն • ‎עברית • ‎ئۇيغۇرچە / Uyghurche • ‎العربية • ‎سنڌي • ‎فارسی • ‎پښتو • ‎کوردی • ‎अङ्गिका • ‎अवधी • ‎नेपाली • ‎मराठी • ‎हिन्दी • ‎বাংলা • ‎தமிழ் • ‎മലയാളം • ‎සිංහල • ‎ไทย • ‎ဘာသာ မန် • ‎မြန်မာဘာသာ • ‎ქართული • ‎中文 • ‎吴语 • ‎日本語 • ‎粵語 • ‎ꯃꯤꯇꯩ ꯂꯣꯟ • ‎조선말 • ‎한국어

آخر الأخبار

  • هذا ملف .tar.gz. لو كنت تستخدم نظام النوافذ (ويندوز)، يمكنك استخدام 7 زيب لفك ضغط الملف.
  • ملحوظات الإصدار
  • التثبيت / الترقية / الضبط
  • لا يحتوي آخر إصدار مستقر على كافة إصلاحات العيوب التي نفذت على فرع مستقر: يمكنك تجربة آخر لقطاته، لكن لا شك أن كافة الإصلاحات الخاصة بالعيوب المعروفة في الإصدار المستقر لم تضم بعد في مثل هذه اللقطة.

الرخصة

برمجيات ميدياويكي هي برمجيات حرة مجانية مرخصة بموجب النسخة 2 من رخصة جنو العمومية. ومنذ أن برمجيات ميدياويكي مرخصة دون مقابل، لا توجد ضمانات إلى الحد الذي تسمح به القوانين المنطبقة. اقرأ النص الكامل لرخصة جنو العمومية النسخة 2 لمزيد من التفاصيل.

متطلبات النظام

تتطلب برمجيات ميدياويكي بي إتش بي 7.0.13+ وأي من MySQL 5.5.8+ أو MariaDB أو واحد من المخزنين الاثنين المحتملين. لزيد من المعلومات يرجى قراءة الصفحات التي تتناول متطلبات النظام وكذا التوافق.


تنزيلات أخرى

التنزيل من غت (Git) عوضا

يجب على مطوري برمجيات ميدياويكي النشطاء بدلا من ذلك التنزيل من غت للحصول على أحدث إصدار من برمجيات ميدياويكي. يحتوي مستودع غت على إصدارات سابقة من البرمجيات، لذا سيكون ممكنا التبديل إلى ("فحص") إصدار بعينه.

ملاحظات

أزيل الدعم لتوجيه register_globals منذ الإصدار MediaWiki 1.24 . لو كنت ثبت إصدار 5.4 من بي إتش بي أو ما بعده على خادمك، لا تقلق بشأن هذا الأمر. لو كان لديك إصدار 5.3 أو ما قبله، تأكد من أن هذا التوجيه معطل. لو لم تتمكن من تعطيل register_globals على نظامك، يمكنك استخدام الإصدار 1.23.9 من برمجيات ميدياويكي. (نزّل).

إن دعم MySQL 5 مطلوب منذ MediaWiki 1.19 - إذا كنت تستخدم نسخة قديمة من MySQL ولا يمكنك الترقية، يمكنك استخدام ميدياويكي 1.18.6 (تنزيل). لاحظ أن هذا الإصدار لم يعد معتمداً.

بدائل للتثبيت اليدوي

Some users may prefer to skip manual installation by using a pre-integrated MediaWiki software appliance or hosting services; repositories of some distros also increasingly offer packages for MediaWiki, with different degrees of frequency and extensions coverage (e.g. Debian, Ubuntu, Fedora, Gentoo).

ماذا بعد؟

البقاء على إطلاع بالإصدارات، والحفاظ على الخادم الخاص بك أمناً!

إصدارات تاريخية

If your MediaWiki installation is heavily modified, it may be difficult to incorporate the latest official changes/updates to MediaWiki. To support such users, we maintain old branches of our code for up to a year for the legacy release and up to three years for the legacy long term support release.

إصدارات التطوير

If you want to run on the latest development (i.e. alpha) version, you can either download it as mediawiki-master.tar.gz, or download from Git.

From Git you can either download the complete repository (about 528 MiB)

git clone https://gerrit.wikimedia.org/r/mediawiki/core.git

or the latest revision only (about 85 MiB; this is often called a shallow clone: less time and smaller downloads).[1]

git clone --depth 1 https://gerrit.wikimedia.org/r/mediawiki/core.git

You can also view the latest source code in your browser.

إصدرات قديمة

You can find tarballs (with extension *.tar.gz) of all versions of MediaWiki back to March 2005 (the earliest being MediaWiki 1.3.11) in the MediaWiki download archives.

To browse, including even older versions, see the tags of the Git repository.

مساعدة التثبيت

المراجع

  1. This could cause reference problems when you later use "git pull" to upgrade your shallow clone and the newer revision refers to older revisions which are not yet downloaded to your system. In such a case you can simply download more - increase the depth value - or all revisions later, or make a fresh shallow clone.

انظر أيضًا